if not exists (select * from sys.sysobjects where id = object_id(N'dbo.PamHeartbeat'))
begin
    create table dbo.PamHeartbeat(
        ID uniqueidentifier NOT NULL,
        CredentialID uniqueidentifier NOT NULL constraint FK_PamHeartbeat_CredentialID foreign key references dbo.PamCredential(ID),
        HeartbeatDateTime datetime2 NOT NULL,
        Success bit NOT NULL
        constraint PK_PamHeartbeat primary key clustered (ID)
    );
end;